
#include <wx/wx.h>
#include <wx/textctrl.h>
#include <wx/checkbox.h>
#include <wx/tglbtn.h>
#include <wx/choice.h>
#include <wx/button.h>
#include <wx/frame.h>
#include <wx/spinctrl.h>
#include <wx/timer.h>
#include <wx/scrolbar.h>

        //#define ID_BEXIT 1001   
        #define ID_TIMER1  1500 
        
        #define ID_STATICTEXT1 1002
        #define ID_STATICTEXT2 1003
        #define ID_STATICTEXT3 1004
        #define ID_STATICTEXT4 1005
        #define ID_TEXTCTRL1 1006
        #define ID_CHOICE1 1007
        #define ID_BUTTON1 1008
        #define ID_BUTTON2 1009
        #define ID_BUTTON3 1010
        #define ID_TEXTCTRL2 1011
        #define ID_TEXTCTRL3 1012
        #define ID_BUTTON4 1013
        #define ID_GAUGE1 1014
        #define ID_TEXTCTRL4 1015
        #define ID_BUTTON5 1016
        #define ID_TEXTCTRL5 1017
        #define ID_TEXTCTRL6 1018
        #define ID_TEXTCTRL7 1019
        #define ID_TEXTCTRL8 1020
        #define ID_BUTTON6 1021
        
        

class eepromFrame:public wxFrame {
  public:
    eepromFrame(wxWindow * parent, wxWindowID id = -1);
    virtual ~ eepromFrame();

	int SearchPort2(void);
    int openLed(void);
    void analizar(void);
    
    void SendData(void);
    
    void LoadROM();
    void GotoDirec();
    void LoadROM1K();
    void LoadROM16K();    

    wxClientDC *dcPantalla;
    wxMemoryDC *dcBuffer;
    wxBitmap *m_bitmap;

  private:
     DECLARE_EVENT_TABLE()
	//(*Handlers(eepromFrame)
	
		void OnTimer1Trigger(wxTimerEvent& event);
	
		void OnBexitClick(wxCommandEvent& event);
	    void OnQuit(wxCommandEvent& event);
        void OnBdireccionSelect(wxCommandEvent& event);
        void OnBverifyROMClick(wxCommandEvent& event);
        void OnBwriteRomClick(wxCommandEvent& event);
        void OnBsaveRomClick(wxCommandEvent& event);
        void OnBverifyFileClick(wxCommandEvent& event);
        void OnBborrarClick(wxCommandEvent& event);


 //(*Declarations(eepromFrame)
		wxTimer Timer1;
		
        wxTextCtrl* Bconsola2;
        wxTextCtrl* BveriFichero;
        wxGauge* ProgressBar1;
        wxButton* BverifyFile;
        wxTextCtrl* TextBox3;
        wxChoice* Bdireccion;
        wxTextCtrl* BveriRom;
        wxStaticText* StaticText1;
        wxTextCtrl* ProgressBar2;
        wxButton* Bexit;
        wxStaticText* StaticText3;
        wxButton* BsaveRom;
        wxTextCtrl* BveriL;
        wxButton* BwriteRom;
        wxTextCtrl* Bconsola;

        wxStaticText* StaticText4;
        wxButton* BverifyROM;
        wxStaticText* StaticText2;
        wxTextCtrl* Info;
        wxButton* Bborrar;
        //*)
};

class MiAplicacion:public wxApp {
  public:
    virtual bool OnInit();
};


bool MiAplicacion::OnInit()
{
    wxInitAllImageHandlers();
    eepromFrame *Frame = new eepromFrame(0);
    Frame->Show();
    return true;
}
