//http://seta43.duckdns.org/
//http://seta43.blogspot.com/
//xsetaseta@gmail.com

//Grabador de EEPROM
//SST39SF020A  -  49F002
//Version 5-6


#define RESET 2
#define RELOJ2 7
#define RELOJ 3
#define xCE 4
#define xOE 5
#define xWR 6

#define xTIEMPO 2
#define xTIEMPOw 2

#define DATOSN  128

char xIN=1;
int nH,nL,contaH,contaL;


char clave[] = "PROM1";

//#define _DEBUG 
#define MAXENTRADA 50

char buffer[MAXENTRADA];
int contador=0;
char stringComplete = false; 
char modo=0;
int contadorModo=0;

//int veri;

long comando1,valorComando1,nucomandos;

long direc;

void setup() 
{
 int zx;
   //Serial.begin(57600);
   Serial.begin(115200);
   for (zx = 0; zx < 3; zx++) { Serial.println(clave); delay(200); }

   pinMode(RESET, OUTPUT);
   pinMode(RELOJ, OUTPUT);
   pinMode(RELOJ2, OUTPUT);
   pinMode(xCE, OUTPUT);
   pinMode(xOE, OUTPUT);
   pinMode(xWR, OUTPUT);
   
   digitalWrite(RESET, 1);
   digitalWrite(RESET, 0);
   digitalWrite(RELOJ, 0);
   digitalWrite(RELOJ2, 0);
   
   digitalWrite(xCE, 1);
   digitalWrite(xOE, 1);
   digitalWrite(xWR, 1);
   delay(1000);
   xIN=1;
  pinMode(A0, INPUT);  pinMode(A1, INPUT);  pinMode(A2, INPUT);  pinMode(A3, INPUT);
  pinMode(A4, INPUT);  pinMode(A5, INPUT);  pinMode(11, INPUT);  pinMode(12, INPUT);
  //Serial.println("EPROM");
  Freset();
  Fgoto(0);
}


void loop() 
{

    if(modo==0)
    {    
      while (Serial.available())
        {
          char inChar = (char)Serial.read(); 
          buffer[contador]=inChar;  
          if (inChar == '\n')
              {
                stringComplete = true;
                buffer[contador]=0;
              }       
          if(contador<MAXENTRADA)contador++;
        }
      if (stringComplete) 
        {     
          Orden(buffer);
          //Serial.println(buffer);
          contador=0;
          stringComplete = false;   
        }
    
    }
    else
    {
        while (Serial.available())
        {
          char inChar = (char)Serial.read();          
          FunWrite(inChar);
          direc++; 
          delayMicroseconds(100);
          contadorModo++;
          if(contadorModo>31)
            {             
              modo=0;
              Serial.println("x");
            }
          
        }
    }

    
}



int runFuniones(void)
{
  unsigned int z,z1;
  byte c;

  if(strstr(buffer,clave) )
      {
        Serial.println("OK");
        goto salir0;
      }
  if(strstr(buffer,"ERASECHIP"))
      {       
        FunErase(); 
        Serial.println("ERASECHIP_OK");
        //Serial.println("FIN     ");        
        goto salir0;
      }
  if(strstr(buffer,"DI"))
      {        
        Serial.print("DK "); Serial.println(valorComando1); 
        //Serial.print(" VERI "); Serial.println(veri);
        direc=valorComando1;    
        goto salir0;
      }
  if(strstr(buffer,"R"))
      {        
        Serial.print("R "); Serial.println(FunRead());
        direc++; 
        goto salir0;
      }
  if(strstr(buffer,"W"))
      {  
        FunWrite(valorComando1);      
        Serial.print("W "); Serial.println(valorComando1);
        direc++;        
        goto salir0;
      }
  if(strstr(buffer,"L"))
      { 
        for(z=0;z<16384 ;z++)
        {
            c=FunRead();
            Serial.write(c);
            direc++;
        }    
        goto salir0;
      }      
  if(strstr(buffer,"X"))
      {  
        contadorModo=0;
        modo=1;
        //Serial.println("x");
        goto salir0;
      }
  if(strstr(buffer,"Y"))
      { 
        for(z=0;z<DATOSN ;z++)
        {
            c=FunRead();
            Serial.write(c);
            direc++;
        }     
        goto salir0;
      }

  Serial.println("aERROR ");
salir0:
 ;
}      



byte FunRead(void)
{
  byte c; 
    c=Fread(direc);
    return(c);
}

void FunWrite(byte c)
{ 
  if(c!=255) FwriteData(direc,c);
}

void FunErase(void)
{
  FchipErase();
}


void FchipErase(void)
{
  Fwrite(0x5555,0xAA);
  Fwrite(0x2AAA,0x55);
  Fwrite(0x5555,0x80);
  Fwrite(0x5555,0xAA);
  Fwrite(0x2AAA,0x55);
  Fwrite(0x5555,0x10);
}


void FwriteData(long direc,byte data)
{

  Fwrite(0x5555,0xAA); 
  Fwrite(0x2AAA,0x55);
  Fwrite(0x5555,0xA0);
  Fwrite(direc,data);
}


byte Fread(long direc)
{
 byte data;
  if(xIN!=1)
  {
    xIN=1;
    pinMode(A0, INPUT);  pinMode(A1, INPUT);  pinMode(A2, INPUT);  pinMode(A3, INPUT);
    pinMode(A4, INPUT);  pinMode(A5, INPUT);  pinMode(11, INPUT);  pinMode(12, INPUT);
  }
  Fgoto(direc);
  
  digitalWrite(xWR, 1);
  delayMicroseconds(xTIEMPO);
  digitalWrite(xCE, 0);
  delayMicroseconds(xTIEMPO);
  digitalWrite(xOE, 0);
  delayMicroseconds(xTIEMPO);
  data=0;
  if(digitalRead(A0)==1) data|=1;
  if(digitalRead(A1)==1) data|=2;
  if(digitalRead(A2)==1) data|=4;
  if(digitalRead(A3)==1) data|=8;

  if(digitalRead(A4)==1) data|=16;
  if(digitalRead(A5)==1) data|=32;
  if(digitalRead(11)==1) data|=64;
  if(digitalRead(12)==1) data|=128;

  digitalWrite(xCE, 1);
  delayMicroseconds(xTIEMPO);
  digitalWrite(xOE, 1);
  delayMicroseconds(xTIEMPO);
  digitalWrite(xWR, 1);
  delayMicroseconds(xTIEMPO);
  
  return(data);
}



void Fwrite(long direc,byte data)
{
  if(xIN!=0)
  {
    xIN=0;
    pinMode(A0, OUTPUT);  pinMode(A1, OUTPUT);  pinMode(A2, OUTPUT);  pinMode(A3, OUTPUT);
    pinMode(A4, OUTPUT);  pinMode(A5, OUTPUT);  pinMode(11, OUTPUT);  pinMode(12, OUTPUT);
  }
  Fgoto(direc);
  if(data&1) digitalWrite(A0, 1); else digitalWrite(A0, 0);
  if(data&2) digitalWrite(A1, 1); else digitalWrite(A1, 0);
  if(data&4) digitalWrite(A2, 1); else digitalWrite(A2, 0);
  if(data&8) digitalWrite(A3, 1); else digitalWrite(A3, 0);

  if(data&16) digitalWrite(A4, 1); else digitalWrite(A4, 0);
  if(data&32) digitalWrite(A5, 1); else digitalWrite(A5, 0);
  if(data&64) digitalWrite(11, 1); else digitalWrite(11, 0);
  if(data&128) digitalWrite(12, 1); else digitalWrite(12, 0);
  digitalWrite(xOE, 1);
  delayMicroseconds(xTIEMPOw);
  digitalWrite(xCE, 0);
  delayMicroseconds(xTIEMPOw);
  digitalWrite(xWR, 0);
  delayMicroseconds(xTIEMPOw);
  
  digitalWrite(xWR, 1);
  delayMicroseconds(xTIEMPOw);
  digitalWrite(xCE, 1);
  delayMicroseconds(xTIEMPOw);

  digitalWrite(xOE, 1);
  delayMicroseconds(xTIEMPOw); 
}


void Fgoto(long direccion)
{
 long temp;
  nL=direccion & 0x000FF;
  temp=direccion & 0xFFF00;
  temp>>=8;
  nH=temp;
  if(contaL>nL || contaH>nH)
  {
    Freset();
    contaL=0;
    contaH=0;
  }

  while(contaL!=nL)
    {
      contaL++;
      PORTD = PORTD | B00001000;
      PORTD = PORTD & B11110111;
    }
  while(contaH!=nH)
    {
      contaH++;
      PORTD = PORTD | B10000000;
      PORTD = PORTD & B01111111;
    }
}


void Freset(void)
{
   digitalWrite(RESET, 1);
   digitalWrite(RESET, 0);
   contaL=0;
   contaH=0;
}





void Orden(char *bufferS)
{ 
      trazar();
      runFuniones();
}  


int trazar(void)
{
  int z;

  comando1=0;      
  nucomandos=0;
  #ifdef _DEBUG   
     Serial.print("comandos>");Serial.println(buffer);
  #endif 
  
      for(z=0;z<MAXENTRADA;z++)
        {
          if(buffer[z]=='\n' || buffer[z]==0) { break;}
          if(buffer[z]==32 || buffer[z]==',' ) 
            {
              if(comando1==0)
                {buffer[z]=0; comando1=z+1;nucomandos++;}
            }
        }
    valorComando1=atol(buffer+comando1);
#ifdef _DEBUG   
  Serial.print("Numerocomandos>");Serial.println(nucomandos);
  Serial.print("comando0>");Serial.println(buffer);
  Serial.print("comando1>");Serial.println(buffer+comando1);
  Serial.print("Valorcomando1>");Serial.println(valorComando1);
#endif  
  return(nucomandos);
}
  
